#include "BLEDevice.h"

uint8_t uuid_array_service[16]   = {'b', 'f', 't', 'j', ' ', 'd', 'i', 's', 'p', 'l', 'a', 'y', ' ', ' ', ' ', ' '};
uint8_t uuid_array_command[16]    = {'b', 'f', 't', 'j', ' ', 'd', 'i', 's', 'p', 'l', 'a', 'y', ' ', 'c', 'o', 'm'};
uint8_t uuid_array_data[16]    = {'b', 'f', 't', 'j', ' ', 'd', 'i', 's', 'p', 'l', 'a', 'y', ' ', 'd', 'a', 't'};

const UUID uuid_service = UUID(uuid_array_service);
const UUID uuid_command = UUID(uuid_array_command);
const UUID uuid_data = UUID(uuid_array_data);

uint8_t command_data[1];
uint16_t command_data_length = 1;
uint8_t data_data[20];
uint16_t data_data_length = 20;

GattCharacteristic command = GattCharacteristic(uuid_command, command_data, sizeof(command_data), sizeof(command_data), GattCharacteristic::BLE_GATT_CHAR_PROPERTIES_WRITE | GattCharacteristic::BLE_GATT_CHAR_PROPERTIES_READ);
GattCharacteristic data = GattCharacteristic(uuid_data, data_data, sizeof(data_data), sizeof(data_data), GattCharacteristic::BLE_GATT_CHAR_PROPERTIES_WRITE | GattCharacteristic::BLE_GATT_CHAR_PROPERTIES_READ);

GattCharacteristic *characteristics[] = {&command, &data};
GattService display_service = GattService(uuid_service, characteristics, sizeof(characteristics) / sizeof(GattCharacteristic *));